Bug 9964 - initscript inaccuracy
: initscript inaccuracy
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/asterisk-initscript)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-09-05 22:43 by
Modified: 2007-05-16 17:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-09-05 22:43:06
# service asterisk status
start-stop-daemon: user `asterisk' not found
asterisk is stopped
--- %< ---
--- /etc/init.d/asterisk~       2006-09-05 22:39:56 +0400
+++ /etc/init.d/asterisk        2006-09-05 22:36:50 +0400
@@ -35,7 +35,7 @@
 
 stop()
 {
-       stop_daemon --pidfile "$PIDFILE" --lockfile "$LOCKFILE" --expect-user
asterisk --name asterisk -- asterisk
+       stop_daemon --pidfile "$PIDFILE" --lockfile "$LOCKFILE" --expect-user
_asterisk --name asterisk -- asterisk
        RETVAL=$?
        return $RETVAL
        rm -f $PIDFILE
 

--- %< ---

(в сторону) именование пользователей/групп с ведущим underscore
выглядит как минимум некрасиво, а то и бессмысленно. (IMHO, разумеется)
------- Comment #1 From 2006-09-10 13:57:02 -------
asterisk1.3-1.3.0-alt1.svn20060907.
underscore появился не там.
Может, не мудрствовать, создавая проблемы на пустом месте
себе и другим, да и отменить эти _ ?
Ещё одно 'приятное' следствие от добавления _ --
numeric uid вместо имени в выводе ps u
------- Comment #2 From 2006-10-18 01:25:04 -------
Багу пофиксил
Может по поводу _ вешать на ps?
------- Comment #3 From 2006-10-18 02:26:37 -------
поведение ps меня вполне устраивает.

------- Comment #4 From 2007-05-01 20:58:32 -------
status болен той же болезнью
------- Comment #5 From 2007-05-01 21:07:26 -------
Reassign to asterisk-initscript
------- Comment #6 From 2007-05-01 21:13:42 -------
fixed in asterisk-initscript 0.3-alt1